using UnityEngine;
using UnityEngine.UI;
using System.Collections;

public class CronoTimeUpdate : MonoBehaviour 
{
	public Text text;
	private int intCurrentTime;

	void Start () 
	{
		RitualManager.instance.OnEndRitual += HideMe;

		gameObject.SetActive(false);

	}

	void Update()
	{
		intCurrentTime = (int) MinigameManager.instance.CurrentTimer;
		text.text =  intCurrentTime.ToString();
	}

	public void ShowMe()
	{
		gameObject.SetActive(true);
	}

	void HideMe()
	{
		gameObject.SetActive(false);
	}
}
